<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var resourceRestEditer = {
        $form: $("#div_info_form"),
        validator: null,
        actionUrl:"${contextRoot}/resourceRest/addResourceRest",
        init: function () {

            this.initForm();
            this.bindEvents();
        },
        initForm: function () {
            var me = this;

            var data;
            var modelString = "${model.id}";
            if(modelString!=undefined && modelString!=null && modelString.length>0)
            {
               data={
                    id: "${model.id}",
                    url: "${model.url}",
                    name:"${model.name}",
                    username: "${model.username}",
                    password: "${model.password}",
                    remark: "${model.remark}"
                };
                me.actionUrl = "${contextRoot}/resourceRest/updateResourceRest";
            };
            this.$form.ligerAutoForm({
                data:data,
                validate:{
                    name:"required",
                    url:"required"
                }
            })
        },

        bindEvents: function () {
            var me = this;
            $("#btnSave").click(function () {
                if(!$("#div_info_form").ligerAutoForm("validate")){
                    return;
                }
                var data =$("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url : me.actionUrl,
                    dataType : "json",
                    data:data,
                    cache:false,
                    success :function(data){
                        if(data.successFlg) {
                            parent.resourceRest.dialogSuccess(data.message,"1");
                        }
                        else{
                            $.ligerDialog.error(data.message);
                        }
                    },
                    error :function(data){
                    $.ligerDialog.error("Status:"+data.status +"(" +data.statusText+")");
            }
                });
            });

            $("#btnCancel").click(function(){
                parent.resourceRest.$dialog.close();
            });

        }
    };



    $(function () {
        resourceRestEditer.init();

    });
</script>